Bug 720499 - xine-lib: memory corruption vulnerability fixed in 1.1.19 [epel-5]
xine-lib: memory corruption vulnerability fixed in 1.1.19 [epel-5]
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: xine-lib (Show other bugs)
el5
All Linux
high Severity high
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
fst_owner=Sparks
: Security, SecurityTracking
Depends On:
Blocks: 720498
  Show dependency treegraph
 
Reported: 2011-07-11 16:19 EDT by Vincent Danen
Modified: 2014-09-18 19:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: xine-lib-1.1.21-10.el5
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-18 19:50:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-07-11 16:19:53 EDT
epel-5 tracking bug for xine-lib: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the 'blocks' bugs.


[bug automatically created by: add-tracking-bugs]
Comment 1 Eric Christensen 2014-07-31 22:21:18 EDT
Any chance in upgrading EPEL 5 & 6 to the version shipped in Fedora?
Comment 2 Rex Dieter 2014-08-01 07:24:50 EDT
Syncing with f19's xine-lib-1.1.21 probably would be the most viable option, even if it would break plugin ABI.
Comment 3 Eric Christensen 2014-08-06 10:06:28 EDT
I just took a look at the package and it looks... complicated.  Not sure I'd be able to help much.  Any idea when you'll be able to rebuild these packages?
Comment 4 Rex Dieter 2014-08-06 10:50:51 EDT
Yeah, I looked at it a bit over vacation last week, and it'll be a bit of work... not to mention that the .spec dropped support for old rpm constructs that any el5 build would need anyway awhile back.

Anyway, I'd say a timeframe of another 7-10 days (at most hopefully), would be a fair eta.  So, I'll target having this sorted out by next weekend.
Comment 5 Fedora Update System 2014-08-26 17:20:32 EDT
xine-lib-1.1.21-10.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/xine-lib-1.1.21-10.el5
Comment 6 Fedora Update System 2014-08-29 15:42:33 EDT
Package xine-lib-1.1.21-10.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing xine-lib-1.1.21-10.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2304/xine-lib-1.1.21-10.el5
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-09-18 19:50:26 EDT
xine-lib-1.1.21-10.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.